Subject: Re: [PATCH v4 2/4] *.[ch]: remove extern from function declarations using sed

From: Denton Liu <[email-masked]>
Date: Thu, 25 Apr 2019 12:00:56 -0700

On Wed, Apr 24, 2019 at 01:56:33PM +0900, Junio C Hamano wrote:
> Denton Liu <[email-masked]> writes:
> 
> > There has been a push to remove extern from function declarations.
> > Finish the job by removing all instances of "extern" for function
> > declarations in headers using sed.
> >
> > This was done by running the following on my system with sed 4.2.2:
> >
> >     $ git ls-files \*.{c,h} | \
> >         grep -v ^compat/ | \
> 
> Lose the backslash.  Your shell knows its own syntax sufficiently
> well, and when you end a line with a pipe, it knows that you haven't
> finished speaking to it and waits for you to give the command
> downstream of the pipe, without being told that you haven't finished
> with a backslash.

Thanks. Could you please make this change for me in 1/4 and 2/4 in case
this patchset doesn't get another reroll?